/*------------ service ------------*/
.progress-bar {
    position: fixed;
    top: 50%;
    transform: translateY(-50%);
    left: calc(50% - 718px);
    width: 62px;
    z-index: 440;
}
.progress-indicator {
    transition: all .6s ease;
    position: relative;
    overflow: hidden;
}
.progress-indicator a{
    display: block;
    position: relative;
    width: 100%;
    font-size: 22px;
    transition: all .6s ease;
    color: #6C6C6C;
    background: #FCFBFA;
    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
    padding: 20px 12px;
    border-radius: 15px;
    border: 1px solid #ddd;
    box-sizing: border-box;
    font-family: "Noto Sans TC", sans-serif;
    font-weight: 600;
    letter-spacing: 4px;
    margin-top: 8px;
    margin-bottom: 8px;
}
.progress-indicator.progress-active a{
    background: var(--custom-color-1);
    color: var(--custom-color-2);
}
.service-group{
    margin-bottom: 50px;
}
.service-group .service-title{
    border-bottom: 1px solid var(--custom-color-1);
    display: flex;
    align-items: flex-end;
}
.service-group .service-title .st-main{
    width: 150px;
    height: 50px;
    text-align: center;
    padding-left: 0;
    padding-right: 5px;
    box-sizing: border-box;
    position: relative;
}
.service-group .service-title .st-text{
    color: var(--custom-color-2);
    font-size: 24px;
    line-height: 50px;
    letter-spacing: 3px;
    margin: 0;
    max-width: 150px;
    font-weight: 700;
    position: relative;
    background: var(--custom-color-1);
    border-top-right-radius: 15px;
    border-top-left-radius: 15px;
    padding-left: 5px;
}
.service-group .service-title .st-text::before {
    content: "";
    position: absolute;
    bottom: 1px;
    right: -30px;
    width: 30px;
    height: 30px;
    background-color: #FCFBFA;
    border-radius: 50%;
    z-index: 1;
}
.service-group .service-title .st-text::after {
    content: "";
    position: absolute;
    bottom: 0;
    right: -16px;
    width: 16px;
    height: 16px;
    background-color: var(--custom-color-1);
}
.service-group .service-title .st-sub{
    width: calc(100% - 150px);
    box-sizing: border-box; 
    font-family: "Noto Sans TC", sans-serif;
    color: #999999;
    font-size: 16px;
    padding: 0 0 12px 20px;
    z-index: 2;
}
.service-list {
    margin: 30px -8px 0;
}
.service-list li {
    width: calc((100% / 4));
    padding: 0 8px 33px;
    position: relative;
}
.service-list li:nth-child(4n+1) {
    clear: left;
}
.service-list li .box {
    max-width: 300px;
    margin: 0 auto;
    position:relative
}
.service-list li .cover {
    position:absolute;
    left:0;
    right: 0;
    top:0;
    bottom: 0;
    z-index:5;
    font-size: 0;
}
.service-list li .top{
    border-radius: 20px;
    border: 1px solid #ECEAE3;
    background: linear-gradient(to bottom, var(--custom-color-1), var(--custom-color-2));
    box-sizing: border-box;
    padding: 54px 18px 18px;
    margin-bottom: 15px;
}
/* .service-list li .pic { */
    /* position: relative; */
    /* box-sizing: border-box;
    margin-bottom: 5px;
    max-width: 36px;
    margin-left: auto;
    margin-right: auto; */
/* } */
.service-list li .top:before {
    font-family: 'icon-font' !important;
    content: "\cc903";
    font-size: 27px;
    color: var(--custom-color-3);
    position: absolute;
    left: calc(50% - 18px);
    top: 25px;
    height: 27px;
    line-height: 27px;
}
/* .service-list .box:hover .pic img {
    transform: scale(1);
} */
.service-list li .name {
    color: #333333;
    font-size: 26px;
    font-weight: normal;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.6;
    height: 43px;
    margin: 0;
    transition: all .3s ease;
    font-family: "Noto Sans TC", sans-serif;
    letter-spacing: 2px;
    text-align: center;
}
.service-list .box:hover .name {
    color: #921201;
}
.service-list li .text {
    border-top: 1px solid #ECEAE3;
}
.service-list li .description {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    height: 69px;
    color: #6C6C6C;
    font-size: 15px;
    line-height: 1.5;
    transition: all .3s ease;
    font-family: "Noto Sans TC", sans-serif;
    letter-spacing: 2px;
    margin: 0;
}
.service-list li .text {
    margin-top: 12px;
    padding-top: 17px;
}
.service-list li .date {
    display: flex;
    flex-wrap: wrap;
    align-items: start;
}
.service-list li .d-title {
    background: #CEC8BD;
    color: #FFFFFF;
    font-size: 18px;
    border-radius: 5px;
    line-height: 24px;
    width: 52px;
    height: 26px;
    box-sizing: border-box;
    text-align: center;
    margin-top: 3px;
    font-family: "Noto Sans TC", sans-serif;
}
.service-list li .d-content {
    font-size: 18px;
    color: #6C6C6C;
    font-family: "Noto Sans TC", sans-serif;
    padding-left: 16px;
    width: calc(100% - 52px);
    box-sizing: border-box;
}
.service-list li .price {
    color: var(--custom-color-1);
    font-size: 26px;
    font-weight: 600;
    font-family: "Times New Roman", Times, serif;
    letter-spacing: 2.5px;
}
/*------------ detail ------------*/
.service-info{
    display: flex;
    margin-top: 15px;
    margin-bottom: 55px;
}
.gallery{
    width: 420px;
    box-sizing: border-box;
}
.intro{
    width: calc(100% - 420px);
    box-sizing: border-box;
    padding-left: 50px;
}
.service-info .slider .pic {
    border-radius: 20px;
    overflow: hidden;
    position: relative;
}
.thumbnails{
    padding-left: 40px;
    padding-right: 40px;
    margin-top: 30px;
}
.thumbnails .slick-list{
    z-index: 11;
}
.thumbnails li a {
    margin: 0;
}
.thumbnails li {
    padding: 0;
}
.thumbnails .slick-arrow {
    width: 40px;
    height: 100%;
    line-height: 19px;
    position: absolute;
    top: 0;
    white-space: nowrap;
    text-indent: 100%;
    text-align: left;
    overflow: hidden;
    padding: 0;
    margin: 0 0px;
    border: none;
    z-index: 10;
    cursor: pointer;
    transition: all .3s ease;
    font-size: 0;
    background: transparent;
}
.thumbnails .slick-prev {
    left: -40px;
}
.thumbnails .slick-next {
    right: -40px;
}
.thumbnails .slick-arrow.slick-prev:before {
    font-family: 'icon-font' !important;
    content: "\f104";
    color: #B0A691;
    position: relative;
    left: calc(50% - 45px);
    top: 0;
    transition: all .3s ease;
    font-size: 33px;
    line-height: 35px;
}
.thumbnails .slick-arrow.slick-prev:hover:before{
    color: #FFF;
} 
.thumbnails .slick-arrow.slick-prev:after {
    content: "";
    height: 100%;
    border-radius: 50%;
    background: #ECEAE3;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    transition: all .3s ease;
    aspect-ratio: 1 / 1;
}
.thumbnails .slick-arrow.slick-prev:hover:after{
    background: #B0A691;
} 
.thumbnails .slick-arrow.slick-next:before {
    font-family: 'icon-font' !important;
    content: "\f105";
    color: #B0A691;
    position: relative;
    left: calc(50% - 45px);
    top: 0;
    transition: all .6s ease;
    font-size: 33px;
    line-height: 35px;
}
.thumbnails .slick-arrow.slick-next:hover:before{
    color: #FFF;
} 
.thumbnails .slick-arrow.slick-next:after {
    content: "";
    height: 100%;
    border-radius: 50%;
    background: #ECEAE3;
    position: absolute;
    right: 0;
    top: 0;
    z-index: -1;
    transition: all .3s ease;
    aspect-ratio: 1 / 1;
}
.thumbnails .slick-arrow.slick-next:hover:after{
    background: #B0A691;
} 
.thumbnails li a {
    position: relative;
    box-sizing: border-box;
}
.thumbnails li a:before{
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(175,154,135,0.8);
    z-index: 0;
    opacity: 0;
}
.thumbnails li a:hover:before,
.thumbnails li.slick-current.slick-active a:before  {
    transition: all .3s;
    opacity: 1;
}
.se-info{
    display: flex;
    margin-bottom: 7px;
}
.se-info .se-info-label{
    color: #333333;
    font-weight: 500;
    font-size: 20px;
    letter-spacing: 5px;
    width: 67px;
    max-width: 67px;
    min-width: 67px;
    font-family: "Noto Sans TC", sans-serif;
    line-height: 25px;
}
.se-info .se-option-box{
    width: calc(100% - 67px);
}
.se-info .se-option{
    display: flex;
    flex-wrap: wrap;
}
.se-info .se-option-val{
    cursor: pointer;
    background: #FFF;
    border: 1px solid #ECEAE3;
    font-size: 16px;
    color: #6C6C6C;
    transition: all .3s ease;
    padding: 1px 9px 4px;
    font-family: "Noto Sans TC", sans-serif;
    line-height: 1.4;
    margin-right: 5px;
    margin-bottom: 5px;
    min-height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}
.se-info .se-option-val:hover,
.se-info .se-option-val.active{
    background: #D19B52;
    color: #FFF;
    border: 1px solid #D19B52;
}
.se-info .se-option-val.unclickable{
    cursor: default;
    border: 1px solid #ECEAE3;
    background: #ECEAE3;
    color: #ABABAB;
    pointer-events: none;
}
.se-info.has-price .se-info-label{
    font-size: 0;
    height: 0;
}
.se-info.has-price .ori-price{
    color: #D19952;
    font-size: 30px;
    font-weight: bold;
    font-family: "Times New Roman", Times, serif;
    letter-spacing: 2.5px;
}
.se-text{
    color: #6C6C6C;
    font-size: 18px;
    font-family: "Noto Sans TC", sans-serif;
    line-height: 1.6;
    margin-bottom: 12px;
}
.se-info.has-col .col{
    display: flex;
}
.se-info.has-col .col + .col{
    margin-left: 50px;
}
.se-info.has-tip .se-tip{
    color: #D08C72;
    font-size: 18px;
    font-family: "Noto Sans TC", sans-serif;
    letter-spacing: 2px;
    margin-bottom: 17px;
}
.btn-group-cart{
    margin-top: 25px;
}
.btn-group-cart .addcart{
    color: #FFFFFF;
    font-family: "Noto Sans TC", sans-serif;
    font-size: 22px;
    width: 152px;
    height: 45px;
    line-height: 42px;
    transition: all .3s ease;
    position: relative;
    margin-right: 15px;
    background: #333333;
    text-align: left;
    padding: 0;
    padding-left: 38px;
}
.btn-group-cart .addcart:before{
    font-family: 'icon-font' !important;
    content: "\cc801";
    position: absolute;
    left: 14px;
    top: 3px;
    font-size: 15px;
    font-weight: 400;
    color: #FFF;
    transition: all .3s ease;
}
.btn-group-cart .addcart:hover{
    background: #D19B52;
}
.btn-group-cart .buynow{
    color: #FFFFFF;
    font-family: "Noto Sans TC", sans-serif;
    font-size: 22px;
    width: 152px;
    height: 45px;
    line-height: 42px;
    transition: all .3s ease;
    position: relative;
    margin-right: 15px;
    background: #B33624;
    text-align: left;
    padding: 0;
    padding-left: 44px;
}
.btn-group-cart .buynow:before{
    font-family: 'icon-font' !important;
    content: "\cc802";
    position: absolute;
    left: 14px;
    top: 3px;
    font-size: 15px;
    font-weight: 400;
    color: #FFF;
    transition: all .3s ease;
}
.btn-group-cart .buynow:hover{
    background: #D19B52;
}
.intro .service-title{
    border-bottom: 1px solid #ECEAE3;
    padding-bottom: 15px;
    margin-bottom: 20px;
    margin-top: 5px;
}
.intro .service-title .service-name{
    color: #1F1F1F;
    font-size: 24px;
    font-weight: bold;
    line-height: 1.6;
    letter-spacing: 2px;
}
.service-detail {
    margin-bottom: 40px;
}
.service-detail .title{
    background: #ECEAE3;
    border-radius: 10px;
    color: #5A5A5A;
    letter-spacing: 5px;
    padding-left: 42px;
    position: relative;
    font-size: 22px;
    font-weight: 600;
    padding-top: 5px;
    padding-bottom: 5px;
}
.service-detail .title:before{
    content: "";
    background: #5B5B5B;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    position: absolute;
    left: 21px;
    top: 21px;
}
.service-detail article.editor{
    padding: 30px 40px;
}
/*------------ rwd ------------*/
@media screen and (max-width: 1600px) {
    .progress-bar {
        left: unset;
        right: 20px;
    }
}
@media screen and (max-width: 1440px) {
    .progress-bar{
        display: none;
    }
}
@media screen and (max-width: 1300px) {
    .service-group .service-title {
        flex-direction: column;
        align-items: flex-start;
        border-bottom: 0;
    }
    .service-group .service-title .st-main {
        border-bottom: 1px solid #FFC926;
        width: 100%;
        margin-bottom: 10px;
    }
    .service-group .service-title .st-sub{
        padding-left: 0;
        width: 100%;
    }
}
@media screen and (max-width: 1100px) {
    .service-group .service-title .st-text {
        font-size: 22px;
        max-width: 135px;
        padding-left: 2px;
    }
    .service-list {
        margin-top: 20px;
    }
    .service-list li .top {
        padding-top: 44px;
        background: linear-gradient(to bottom, var(--custom-color-1), var(--custom-color-2), var(--custom-color-2));

    }
    .service-list li .top:before {
        font-size: 22px;
        left: calc(50% - 14.8px);
        top: 15px;
    }
    .service-list li .name {
        font-size: 20px;
        height: 35px;
    }
    .service-list li .text {
        margin-top: 6px;
        padding-top: 12px;
    }
    .service-list li .price {
        font-size: 20px;
    }
    .service-list li .d-content {
        font-size: 16px;
        padding-left: 10px;
    }
    .service-info {
        flex-direction: column;
        margin-bottom: 30px;
    }
    .service-detail-title.main-title{
        font-size: 20px;
    }
    .gallery {
        width: 100%;
        max-width: 420px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 20px;
    }
    .intro {
        width: 100%;
        max-width: 500px;
        margin-left: auto;
        margin-right: auto;
        padding-left: 0;
    }
    .thumbnails {
        margin-top: 10px;
    }
    .intro .service-title .service-name {
        font-size: 20px;
    }
    .se-info.has-col {
        flex-direction: column;
    }
    .se-info.has-col .col + .col {
        margin-left: 0;
    }
    .se-info.has-tip .se-tip {
        font-size: 16px;
        line-height: 1.6;
    }
    .se-info.has-price .ori-price {
        font-size: 25px;
    }
    .se-text {
        font-size: 16px;
    }
    .se-info .se-info-label {
        font-size: 18px;
    }
    .btn-group-cart .addcart,
    .btn-group-cart .buynow {
        font-size: 16px;
        width: 125px;
        height: 40px;
        line-height: 38px;
        margin-right: 5px;
        padding-left: 43px;
        margin-bottom: 10px;
    }
    .service-detail article.editor {
        padding: 20px 0;
    }
    .service-detail .title {
        font-size: 20px;
    }
    .service-detail .title:before {
        top: 19px;
    }
}
@media screen and (max-width: 900px) {
    .service-list {
        max-width: 700px;
        margin: 0 auto;
    }
    .service-list li {
        width: 50%;
    }
    .service-list li:nth-child(4n+1) {
        clear: none;
    }
    .service-list li:nth-child(2n+1) {
        clear: left;
    }
}
@media screen and (max-width: 600px) {
    .service-group {
        margin-bottom: 30px;
    }
    .service-list li {
        width: 100%;
        padding: 0 0 20px;
    } 
}
@media screen and (max-width: 400px) {
    .thumbnails {
        padding-left: 30px;
        padding-right: 30px;
    }
    .thumbnails .slick-prev {
        left: -30px;
    }
    .thumbnails .slick-next {
        right: -30px;
    }
    .thumbnails .slick-arrow.slick-prev:before {
        left: calc(50% - 49px);
        font-size: 24px;
    }
    .thumbnails .slick-arrow.slick-next:before {
        left: calc(50% - 41px);
        font-size: 24px;
    }
}